com.opensymphony.xwork2.ognl

## Class XWorkTypeConverterWrapper

- java.lang.Object
- - com.opensymphony.xwork2.ognl.XWorkTypeConverterWrapper

- All Implemented Interfaces:
    TypeConverter

      public class XWorkTypeConverterWrapper
      extends Object
      implements TypeConverter

  Wraps an OGNL TypeConverter as an XWork TypeConverter

- - ### Field Summary

    - ### Fields inherited from interface com.opensymphony.xwork2.conversion.TypeConverter

      `NO_CONVERSION_POSSIBLE, TYPE_CONVERTER_CONTEXT_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XWorkTypeConverterWrapper(ognl.TypeConverter conv)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `convertValue(Map context, Object target, Member member, String propertyName, Object value, Class toType)` Converts the given value to a given type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XWorkTypeConverterWrapper

          public XWorkTypeConverterWrapper(ognl.TypeConverter conv)

  - ### Method Detail

    - #### convertValue

          public Object convertValue(Map context,
                                     Object target,
                                     Member member,
                                     String propertyName,
                                     Object value,
                                     Class toType)

      Description copied from interface: `TypeConverter`
      Converts the given value to a given type. The OGNL context, target, member and name of property being set are given. This method should be able to handle conversion in general without any context, target, member or property name specified.
      Specified by:
        `convertValue` in interface `TypeConverter`
      Parameters:
        `context` - context under which the conversion is being done
        `target` - target object in which the property is being set
        `member` - member (Constructor, Method or Field) being set
        `propertyName` - property name being set
        `value` - value to be converted
        `toType` - type to which value is converted
      Returns:
        Converted value of type toType or TypeConverter.NoConversionPossible to indicate that the conversion was not possible.

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.